Skip to main content
GET
List cluster AI insights

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-ankra-organisation-id
string

PAT organisation override.

Path Parameters

cluster_id
string<uuid>
required

Query Parameters

status
string

Only insights in this status (for example open).

severity
string

Only insights of this severity.

Free-text search over the insight.

namespace
string

Only insights in this namespace.

category
string

Only insights of this category.

resource
string

Only insights about the resource of this name.

resource_namespace
string

The namespace of resource.

sort
string
default:recent

The order of the listing.

date_from
string<date-time>

Only insights seen from this time.

date_to
string<date-time>

Only insights seen up to this time.

page
integer
default:1

The page to return, from 1.

Required range: x >= 1
page_size
integer
default:20

How many insights a page holds.

Required range: 1 <= x <= 100

Response

One page of the cluster's AI insights

items
object[]
required
page
integer
required
page_size
integer
required
total
integer
required
total_pages
integer
required